* {
  box-sizing: border-box;
}
p {
  padding: 0;
  margin: 0;
}
input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px transparent  inset !important;
  background-color: transparent;
  background-image: none;
  transition: background-color 50000s ease-in-out 0s;
}
input {
  background-color: transparent;
}
.registerBox {
  width: 460px;
  height: 700px;
  background: #fff;
  font-size: 14px;
  /* margin: 70px auto 0; */
  padding: 0 60px;
  margin-top: 70px;
}

.registerBox .tit {
  padding-top: 50px;
  font-size: 26px;
  color: #333;
}
.registerBox .labelRow {
  width: 100%;
  border-bottom: 1px solid #DFDFE7;
  padding: 35px 0 10px;
  display: flex;
  position: relative;
  overflow: hidden;
}
.registerBox .labelRow .labelItem {
  font-size: 18px;
  color: #333;
  margin-right: 45px;
  cursor: pointer;
  user-select: none;
}
.registerBox .labelRow .sliding {
  position: absolute;
  left: 0;
  bottom: -30px;
  display: block;
  width: 40px;
  height: 3px;
  background: #7551FF;
  transition: all ease 0.3s;
}
.registerBox .formInfo {
  padding-top: 25px;
  transition: all ease 0.3s;
  opacity: 0;
}
.registerBox .formInfo .paddingNone {
  padding: 0 !important;
}
.registerBox .formInfo .xyRow {
  margin-bottom: 36px;
  display: flex;
  align-items: center;
}
.registerBox .formInfo .xyRow .checkbox {
  width: 14px;
  height: 14px;
  text-align: center;
  line-height: 14px;
  background: #7551FF;
  border-radius: 2px;
  cursor: pointer;
  font-size: 12px;
}
.registerBox .formInfo .xyRow input{
  visibility: hidden;
  width: 1px;
  height: 1px;
  overflow: hidden;
  transform: translate(-10px, -10px);
  -webkit-text-fill-color: #fff;
  text-shadow: none !important;
  -webkit-appearance: none !important;
  background-color: transparent;
  outline-color: transparent !important;
}
/*.registerBox .formInfo .xyRow .checkbox.active::after {*/
  /*content: "\e60c";*/
  /*color: #fff;*/
  /*width: 9px;*/
  /*height: 6px;*/
/*}*/
.registerBox .formInfo .xyRow .rFont {
  color: #878787;
  font-size: 13px;
}
.registerBox .formInfo .xyRow .rFont a {
  color: #656565;
  font-size: 13px;
  text-decoration: none;
}
.registerBox .formInfo .xyRow .rFont a:hover {
  color: #7551FF;
  text-decoration: underline;
}
.registerBox .formInfo .errMsg {
  color: #FF5757;
  font-size: 12px;
  margin-top: -13px;
  height: 30px;
  display: none;
}
.registerBox .formInfo .inputGroup {
  width: 100%;
  height: 46px;
  line-height: 26px;
  border: 1px solid #DFDFE7;
  padding: 9px 10px;
  margin-bottom: 20px;
  transition: all ease 0.3s;
}
.registerBox .formInfo .inputGroup.focus{
  border-color: #7651ff80;
  box-shadow: 0px 0px 4px #714cffb8;
}
.registerBox .formInfo .inputGroup .select2-container--default .select2-selection--single .select2-selection__arrow{
  height: 100%;
  top: 0;
}
.registerBox .formInfo .inputGroup .select2-container--open .select2-dropdown--below{width: 340px !important;}
.registerBox .formInfo .inputGroup .select2-container--default .select2-selection--single{border:none !important;}
.registerBox .formInfo .inputGroup .select2-container--default .select2-selection--single .select2-selection__rendered{line-height: 44px !important;}
.registerBox .formInfo .inputGroup select{
  position: absolute;
  top: 0;
  left: 1px;
  text-align: center;
  background: 0 0;
  display: block;
  font-size: 12px;
}
.registerBox .formInfo .inputGroup.email {
  display: none;
}
.registerBox .formInfo .inputGroup.po-re {
  position: relative;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword {
  position: absolute;
  left: 105%;
  top: -20px;
  width: auto;
  background: #fff;
  border: 1px solid #ddd;
  padding: 10px 20px;
  color: #656565;
  border-radius: 3px;
  font-size: 12px;
  display: none;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword .j-style {
  position: relative;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword .j-style::after {
  position: absolute;
  left: -26px;
  bottom: -35px;
  content: "";
  width: 10px;
  height: 10px;
  background: #fff;
  z-index: 999;
  border: 1px solid #ddd;
  transform: rotate(45deg);
  border-right: none;
  border-top: none;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword .check {
  width: 20px;
  height: 20px;
  transform: scale(0.6);
  line-height: 20px;
  text-align: center;
  display: inline-block;
  font-size: 20px;
  background: #3BC357;
  color: #fff;
  border-radius: 50%;
  opacity: 0;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword p {
  line-height: 20px;
  display: flex;
  white-space: nowrap;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword .success {
  color: #3BC357;
}
.registerBox .formInfo .inputGroup.po-re .checkPassword .success .check {
  opacity: 1;
}
.registerBox .formInfo .inputGroup .codeInput {
  width: calc(100% - 100px) !important;
}
.registerBox .formInfo .inputGroup .codeBtn {
  cursor: pointer;
  border-left: 1px solid #DFDFE7;
  width: 100px;
  height: 44px;
  font-size: 14px;
  color: #A1A1A1;
  line-height: 46px;
  text-align: center;
  transition: all ease 0.3s;
}
.registerBox .formInfo .inputGroup .codeBtn:hover{
  background: #7551FF;
  color: #fff;
}
.registerBox .formInfo .inputGroup .disabled,.registerBox .formInfo .inputGroup .disabled:hover{
  cursor: not-allowed !important;
  background: #c8c8c8 !important;
  color: #fff !important;
}
.registerBox .formInfo .inputGroup.errBorder {
  border-color: #FF5857;
  box-shadow: none;
}
.registerBox .formInfo .inputGroup .row {
  display: flex;
}
.registerBox .formInfo .inputGroup .timeOut {
  width: 63px;
  font-size: 16px;
  border-right: 1px solid #DFDFE7;
  background: url("../images/arrowB.png") no-repeat;
  background-size: 8px 5px;
  background-position: 85% center;
  cursor: pointer;
}
.registerBox .formInfo .inputGroup .input,
.registerBox .formInfo .inputGroup .maxInput {
  width: 100%;
}
.registerBox .formInfo .inputGroup .input input,
.registerBox .formInfo .inputGroup .maxInput input {
  border: none;
  outline: none;
  padding-left: 10px;
  font-size: 16px;
  width: 100%;
  height: calc(98%);
}
.registerBox .formInfo .inputGroup .maxInput input {
  padding-left: 0;
}
.registerBox .formInfo .sureBtn {
  height: 42px;
  width: 100%;
  text-align: center;
  outline: none;
  border: none;
  line-height: 42px;
  background: #7551FF;
  color: #fff;
  font-size: 18px;
  border-radius: 2px;
}
.registerBox .formInfo .sureBtn:hover {
  opacity: 0.8;
  cursor: pointer;
}
.registerBox .formInfo .blink {
  display: flex;
  margin-top: 31px;
  justify-content: space-between;
  font-size: 13px;
}
.registerBox .formInfo .blink a {
  color: #878787;
  text-decoration: none;
}
.registerBox .formInfo .blink a:hover {
  text-decoration: underline;
}
.registerBox .formInfo .blink .r {
  color: #878787;
}
.registerBox .formInfo .blink .r .regist {
  color: #7551FF;
}
.miniFooter{
  text-align: center;
  color: #A1A1A1;
  font-size: 12px;
  width: 100%;
  position: absolute;
  bottom: 12px;
  left: 0;
  opacity: 0;
}
.miniFooter a{color: #A1A1A1;font-size: 13px;}
.miniFooter a:hover{color: #333;text-decoration: underline}
.miniFooter .line{margin:0 10px;}
.miniFooter .f{margin-left:30px;}


.dialog-cashOut-wrapper{
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
}
.dialog-cashOut-wrapper .dialog-body{
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 1000;
  margin-left: -1.96rem;
  margin-top: -2rem;

  width: 3.92rem;
  padding-top: 0.5rem;
  padding-bottom: 0.4rem;
  background-color: #fff;
  border-radius: 0.12rem;

  display: flex;
  flex-direction: column;
  align-items: center;
}
.fail-wrapper .dialog-body .title {
  position: absolute;
  top: -0.15rem;
  width: 2.24rem;
  height: 0.46rem;
  background: url(/static/front/images/grab_fail_title.svg) center no-repeat;
  background-size: contain;
}

.fail-wrapper .dialog-body  .title  .text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 1.66rem;
  height: 0.46rem;

  line-height: 0.46rem;
  text-align: center;
  font-size: 0.24rem;
  color: #fff;
}


.dialog-cashOut-wrapper .dialog-body .content {
  box-sizing: border-box;
  width: 100%;
  padding: 0.2rem 0.4rem 0;
  font-size: 0.16rem;
  color: #999;
  text-align: center;
}
.dialog-cashOut-wrapper .dialog-body .contentTitle{
    font-size:0.21rem;
    font-weight:800;
    color:rgba(122,114,161,1);
    margin-bottom: 0.11rem;
}
.dialog-cashOut-wrapper .dialog-body  b {
  font-size: 0.16rem;
  font-weight: normal;
  color: #af8c4f;
}
.dialog-cashOut-wrapper .dialog-body .btns{
  /*margin-top: 0.23rem;*/
  display: flex;
  width: 100%;
  padding: 0.2rem 0.4rem 0;
  justify-content: space-around;
}
.dialog-cashOut-wrapper .dialog-body .btns .btn-cancel {
  padding: 0 0.3rem;
  line-height: 0.36rem;
  border-radius: 0.36rem;
  font-size: 0.16rem;
  background-color: #fff;
  color: #7a73a2;
  border: 1px solid #7a73a2;
    white-space: nowrap;
}
.dialog-cashOut-wrapper .dialog-body  .btn-confirm {
  border: 0.01rem solid #7a73a2;
  background-color: #7a73a2;
  margin-left: 0.15rem;
  padding: 0 0.3rem;
  line-height: 0.36rem;
  border-radius: 0.36rem;
  font-size: 0.16rem;
  color: #fff;
}
.fail-wrapper, .success-wrapper{
  display: none;
}

.success-wrapper .dialog-body .title {
  position: absolute;
  top: -0.6rem;
  margin-left: -0.1rem;
  width: 3.31rem;
  height: 1.15rem;
  background: url(/static/front/images/grab_suc_title.png) center no-repeat;
  background-size: contain;
}
.success-wrapper .dialog-body .title .text {
  position: absolute;
  top: 50%;
  left: 50%;

  margin-top: -0.16rem;
  margin-left: -0.66rem;
  width: 1.66rem;
  height: 0.46rem;

  line-height: 0.46rem;
  text-align: center;
  font-size: 0.24rem;
  color: #fff;
}
.success-wrapper .dialog-body  .reapacket{
  margin: 0 auto;
  width: 1.18rem;
  height: 1.2rem;
  background: url(/static/front/images/grab_suc_redpacket.png) center no-repeat;
  background-size: contain;
  position: relative;
}
.success-wrapper .dialog-body  .reapacket .value {
  font-size: 0.18rem;
  color: #FFC237;
  position: absolute;
  left: 100%;
  font-weight:bold;
  margin-left: 0.1rem;
  top: 0.18rem;
}
.success-wrapper .dialog-body .btns .btn-cancel {
  color: #d13e46;
  border: 1px solid #d23641;
}
.success-wrapper .dialog-body .btn-confirm {
  border: 0.01rem solid #d23a44;
  background-color: #d23a44;
}
.content .successTips{
  font-size:0.13rem;
  color: #999999;
  margin-top: 0.2rem;
}
#redAmount{
  color: #BA9B3A;
  font-weight: bold;
  font-size: 0.15rem;
}
 .bold{
  font-weight: bold;
}
.enstyle .dialog-cashOut-wrapper .dialog-body .btns .btn-cancel{
    padding: 0 0.15rem;
}